.hexagon-container {
    margin: 2px;
    float: left;
}

.hexagon-container .hexagon-number-container {
  text-align: center;
  z-index: 999;
  position: absolute;
  border-radius: 50%;
  background-color: #e7d7b3;
  width: 50px;
  height: 50px;
  top: 16px;
  left: 50px;
  line-height: 50px;  
  font-size: xx-large;
  font-weight: 800;
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif 
}

.red-text {
  color: rgb(224, 1, 1);
}

.hexagon {
  position: relative;
  width: 150px; 
  height: 86.60px;
  margin: 43.30px 0;  
  z-index: 1
}

.clay {
  background-image: url("../../../Images/ClayTile.png");
  background-size: auto 173.2051px;
  background-position: center;
   
  z-index: 1
}

.wood {
  background-image: url("../../../Images/WoodTile.png");
  background-size: auto 173.2051px;
  background-position: center;
}

.sheep {
  background-image: url("../../../Images/SheepTile.png");
  background-size: auto 173.2051px;
  background-position: center;
}

.grain {
  background-image: url("../../../Images/GrainTile.png");
  background-size: auto 173.2051px;
  background-position: center;
}

.iron {
  background-image: url("../../../Images/IronTile.png");
  background-size: auto 173.2051px;
  background-position: center;
}

.desert {
  background-image: url("../../../Images/DesertTile.png");
  background-size: auto 173.2051px;
  background-position: center;
}

.intersections-container {
  position: absolute;
  z-index: 999;
}

.intersection-button {
  position: absolute;
  height: 40px;
  width: 40px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
}

.intersection-button:hover {
  background-color: #ccc;
}

.top-mid-x {
  top: -60px;
  left: 55px;
}

.top-left-x {
  top: -20px;
  left: -25px;
}

.top-right-x {
  position: absolute;
  left: 130px;
  top: -20px;
  z-index: 10000;
}

.bottom-mid-x {
  top: 105px;
  left: 55px;
}

.bottom-left-x {
  top: 70px;
  left: -25px;
}

.bottom-right-x {
  top: 70px;
  left: 130px;
}

/**
-----------------------------------------------
===============================================
              HEXAGON DEFINITION          
===============================================
-----------------------------------------------
*/
.hexTop,
.hexBottom {
  position: absolute;
  z-index: 1;
  width: 106.07px;
  height: 106.07px;
  overflow: hidden;
  -webkit-transform: scaleY(0.5774) rotate(-45deg);
  -ms-transform: scaleY(0.5774) rotate(-45deg);
  transform: scaleY(0.5774) rotate(-45deg);
  background: inherit;
  left: 21.97px;
}

/*counter transform the bg image on the caps*/
.hexTop:after,
.hexBottom:after {
  content: "";
  position: absolute;
  width: 150.0000px;
  height: 86.60254037844388px;
  -webkit-transform:  rotate(45deg) scaleY(1.7321) translateY(-43.3013px);
  -ms-transform:      rotate(45deg) scaleY(1.7321) translateY(-43.3013px);
  transform:          rotate(45deg) scaleY(1.7321) translateY(-43.3013px);
  -webkit-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  transform-origin: 0 0;
  background: inherit;
}

.hexTop {
  top: -53.0330px;
}

.hexTop:after {
  background-position: center top;
}

.hexBottom {
  bottom: -53.0330px;
}

.hexBottom:after {
  background-position: center bottom;
}

.hexagon:after {
  content: "";
  position: absolute;
  top: 0.0000px;
  left: 0;
  width: 150.0000px;
  height: 86.6025px;
  z-index: 2;
  background: inherit;
}